<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@C039=00</action>
      <action>maincpu.pb@EEF8=14</action>
      <action>maincpu.pb@C08C=F8</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mw@08A3</action>
      <action>temp1 =maincpu.mw@4039</action>
      <action>temp2 =maincpu.mw@5107</action>
    </script>
    <script state="run">
      <action>maincpu.mw@08A3=3E1D</action>
      <action>maincpu.mw@4039=3E1D</action> <!-- [call $257F - call $3E1D [xor a / ret]] -->
      <action>maincpu.mw@5107=3E1D</action> <!-- 1st = Fire, 2nd + 3rd =Enemy -->
    </script>
    <script state="off">
      <action>maincpu.mw@08A3=temp0 </action>
      <action>maincpu.mw@4039=temp1 </action>
      <action>maincpu.mw@5107=temp2 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@C02C=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@C02D=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <parameter min="1" max="34" step="1"/>
    <script state="change">
      <action>soundcpu.pb@8010=80+param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
